# Setup ZSH History
SAVEHIST=1000  
HISTSIZE=1000
HISTFILE=~/.zsh_history
setopt hist_ignore_all_dups
setopt hist_ignore_space
setopt extendedglob
HISTORY_IGNORE='(git reset*|reboot|shutdown|exit|cd ..|cd ~|..|~|clear)'

setopt SHARE_HISTORY
setopt HIST_IGNORE_ALL_DUPS
setopt HIST_EXPIRE_DUPS_FIRST
setopt HIST_REDUCE_BLANKS

# Use NVIM
alias vim=nvim

# NVM
export NVM_DIR="$CONFIGDIR/nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"  # This loads nvm
[ -s "$NVM_DIR/bash_completion" ] && \. "$NVM_DIR/bash_completion"  # This loads nvm bash_completion

# Nodejs
export SKIP_PREFLIGHT_CHECK=true

# FZF
export FZF_DEFAULT_COMMAND='find . -type d \( -name Pods -o -name .yarn -o -name node_modules -o -name .git -o -path name \) -prune -false -o -name "*"'
[ -f ~/.fzf.zsh ] && source ~/.fzf.zsh

# thefuck
eval $(thefuck --alias)
alias a=fuck

# Load extra functions
source "$CONFIGDIR/scripts/scripts.sh"

fastfetch;
